unit uAuditLegend;

interface

uses
  Windows, Forms, StdCtrls, ExtCtrls, ComCtrls, Classes, Controls;

type
  TFormAuditLegend = class(TForm)
    PageControlAuditLegend: TPageControl;
    TabSheetGoodFiles: TTabSheet;
    TabSheetBadFiles: TTabSheet;
    GoodROM: TImage;
    Label1: TLabel;
    GoodROM_merged: TImage;
    Label2: TLabel;
    GoodROM_nodump: TImage;
    Label3: TLabel;
    GoodROM_nodump_merged: TImage;
    Label4: TLabel;
    GoodROM_redump: TImage;
    Label5: TLabel;
    GoodROM_redump_merged: TImage;
    Label6: TLabel;
    TabSheet1: TTabSheet;
    GroupBox1: TGroupBox;
    audit_TotalGames: TImage;
    Label21: TLabel;
    Label22: TLabel;
    audit_GoodGames: TImage;
    Label23: TLabel;
    audit_BadGames: TImage;
    audit_ErrorGames: TImage;
    Label24: TLabel;
    Label25: TLabel;
    BadROM: TImage;
    BadROM_merged: TImage;
    BadROM_nodump: TImage;
    BadROM_nodump_merged: TImage;
    BadROM_redump: TImage;
    BadROM_redump_merged: TImage;
    GoodAudit: TImage;
    Label17: TLabel;
    GoodAudit_merged: TImage;
    Label18: TLabel;
    BadAudit: TImage;
    Label19: TLabel;
    BadAudit_merged: TImage;
    Label20: TLabel;
    Label7: TLabel;
    Label9: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label33: TLabel;
    Label34: TLabel;
    GoodCHD: TImage;
    Label13: TLabel;
    BadCHD: TImage;
    Label14: TLabel;
    GoodCHD_nodump: TImage;
    Label37: TLabel;
    GoodCHD_redump: TImage;
    Label38: TLabel;
    BadCHD_nodump: TImage;
    Label39: TLabel;
    Label40: TLabel;
    BadCHD_redump: TImage;
    MissingROM: TImage;
    Label15: TLabel;
    MissingCHD: TImage;
    Label16: TLabel;
    BadROMNotUsed: TImage;
    Label41: TLabel;
    GoodCHD_merged: TImage;
    Label26: TLabel;
    GoodCHD_nodump_merged: TImage;
    Label27: TLabel;
    GoodCHD_redump_merged: TImage;
    Label28: TLabel;
    BadCHD_merged: TImage;
    Label8: TLabel;
    BadCHD_nodump_merged: TImage;
    Label10: TLabel;
    BadCHD_redump_merged: TImage;
    Label29: TLabel;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormAuditLegend: TFormAuditLegend;

implementation

uses uAuditGames;

{$R *.dfm}

procedure TFormAuditLegend.FormCreate(Sender: TObject);
begin
  FormAudit.ImageListResults.GetIcon( 0, GoodROM.Picture.Icon);
  FormAudit.ImageListResults.GetIcon( 1, GoodCHD.Picture.Icon);
  FormAudit.ImageListResults.GetIcon( 2, GoodROM_nodump.Picture.Icon);
  FormAudit.ImageListResults.GetIcon( 3, GoodCHD_nodump.Picture.Icon);
  FormAudit.ImageListResults.GetIcon( 4, GoodROM_redump.Picture.Icon);
  FormAudit.ImageListResults.GetIcon( 5, GoodCHD_redump.Picture.Icon);
  FormAudit.ImageListResults.GetIcon( 6, GoodROM_merged.Picture.Icon);
  FormAudit.ImageListResults.GetIcon( 7, GoodCHD_merged.Picture.Icon);
  FormAudit.ImageListResults.GetIcon( 8, GoodROM_nodump_merged.Picture.Icon);
  FormAudit.ImageListResults.GetIcon( 9, GoodCHD_nodump_merged.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(10, GoodROM_redump_merged.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(11, GoodCHD_redump_merged.Picture.Icon);

  FormAudit.ImageListResults.GetIcon(12, BadROM.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(13, BadCHD.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(14, BadROM_nodump.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(15, BadCHD_nodump.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(16, BadROM_redump.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(17, BadCHD_redump.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(18, BadROM_merged.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(19, BadCHD_merged.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(20, BadROM_nodump_merged.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(21, BadCHD_nodump_merged.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(22, BadROM_redump_merged.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(23, BadCHD_redump_merged.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(24, BadROMNotUsed.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(25, MissingROM.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(26, MissingCHD.Picture.Icon);

  FormAudit.ImageListResults.GetIcon(27, GoodAudit.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(28, GoodAudit_merged.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(29, BadAudit.Picture.Icon);
  FormAudit.ImageListResults.GetIcon(30, BadAudit_merged.Picture.Icon);

  FormAudit.ImageListSmallIcons.GetIcon(3, audit_TotalGames.Picture.Icon);
  FormAudit.ImageListSmallIcons.GetIcon(4, audit_GoodGames.Picture.Icon);
  FormAudit.ImageListSmallIcons.GetIcon(5, audit_ErrorGames.Picture.Icon);
  FormAudit.ImageListSmallIcons.GetIcon(6, audit_BadGames.Picture.Icon);
end;

end.
